
QGIS Application - Bug report #13735

CRS transformation broken in Master?

2015-11-02 05:37 AM - Andy Wood

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: x86_64 GNU/Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21762

Description

Projects with Geotif layers being "on-the fly" transformed, which worked fine a few days ago, now generate 100% CPU usage and take

many many minutes to be initially read in.

Sorry this is a very generic bug report, but Master is currently unusable with any of my projects that include transformed (EPSG:3762)

Natural Earth geotif rasters.

Running up to date Debian testing with GDAL at 1.11.3+dfsg-2

Associated revisions

Revision d8f5dbeb - 2015-11-12 11:42 PM - Jürgen Fischer

Limit extent reprojection workaround to vector layers (followup 51fe632; fixes #13735; refs #7596)

History

#1 - 2015-11-02 10:30 AM - Radim Blazek

Could it be caused by commit:1c22445 fix for #13665?

#2 - 2015-11-03 06:41 AM - Andy Wood

I am not competent to comment on the technical details of the fix for #13665, however the following anecdotal evidence suggests that this is the source of

the problem:

1.  the time scale is about right - I started seeing this problem last week

2.  when things were working I can confirm the presence of "white regions around the pole", but this was not a problem for me at that time.

Here is a test case to show the problem:

1.  get http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/raster/NE1_LR_LC_SR_W_DR.zip

2.  add layer NE1_LR_LC_SR_W_DR.tif and zoom in on 54'S 38'W

3.  apply EPSG:3762

#3 - 2015-11-05 12:12 PM - Giovanni Manghi

- Target version set to Future Release - High Priority
I can confirm it on master.

#4 - 2015-11-12 08:49 AM - Radim Blazek

- Assignee set to Jürgen Fischer

Bisected to commit:51fe632.

#5 - 2015-11-12 02:47 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d8f5dbeb4e7ab81326a400eaec05855ff1a38769".
